> ## Documentation Index
> Fetch the complete documentation index at: https://docs.glorycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sub Account History

> Get a list of all your sub-accounts, including those that have been deleted



## OpenAPI

````yaml get /go-api/v1/subAccount/listHistory
openapi: 3.0.1
info:
  title: GoProxy API Documentation
  description: ''
  version: 1.0.0
servers: []
security: []
tags: []
paths:
  /go-api/v1/subAccount/listHistory:
    get:
      tags: []
      summary: Get Sub Account History
      description: >-
        Get a list of all your sub-accounts, including those that have been
        deleted
      parameters:
        - name: proxyType
          in: query
          description: >-
            The proxy type you want to query. 

            Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for
            Rotating Datacenter. 

            Omit this parameter or leave it blank to list sub-accounts under all
            proxy types.
          required: false
          schema:
            type: integer
            title: proxyType
        - name: apiKey
          in: header
          description: The API key used to authenticate your account.
          required: true
          example: ''
          schema:
            type: string
            title: apiKey
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSubAccountListHistoryResponseModel'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetSubAccountListHistoryResponseModel:
      properties:
        accountNum:
          type: integer
          title: accountNum
          description: The total number of sub-accounts.
        data:
          items:
            $ref: '#/components/schemas/SubAccountListHistoryResponseModel'
          type: array
          title: data
      type: object
      title: GetSubAccountListHistoryResponseModel
    SubAccountListHistoryResponseModel:
      properties:
        authAccount:
          type: string
          title: authAccount
          description: The username of the sub-account.
          example: testUser
        authPassword:
          type: string
          title: authPassword
          description: The password of the sub-account.
          example: testPass
        useLimit:
          type: string
          title: useLimit
          description: >-
            The traffic limit for the sub-account, in GB. Use **-1** to indicate
            no limit.
          example: '1.0'
        useTraffic:
          type: string
          title: useTraffic
          description: Traffic that has been used, in GB.
          example: '0.0'
        remark:
          type: string
          title: remark
          description: Optional remarks or description for the sub-account.
          example: test
        proxyType:
          type: integer
          title: proxyType
          description: The proxy type for the sub-account.
          example: 1 - Rotating Residential
      type: object
      required:
        - authAccount
        - authPassword
        - useLimit
        - useTraffic
        - remark
        - proxyType
      title: SubAccountListHistoryResponseModel

````